Can't load 32 bit plugin with latest synfire

8 posts / 0 new
Last post
tom11's picture
tom11
Offline
Last seen 10 hours 43 min ago

Can't load 32 bit plugin with latest synfire

With the old synfire 1.7.8  on Windows 8 64bit  I was able to use the VST plugin Legacycell (KORG) botjh in 32Bit version and in 64Bit version (jbridged, however as bridging is causing problems sometimes, I prefer 32 bit).

Now I installed the lastest synfire 1.8.4 on a new Windows 10 64 Bit machine.

But when scanning the plugin folder synfire always shows the error that the Legacycell.dll plugin can't be loaded in 32bit mode.

However another program can load the 32bit version: VSTHost (by Herman Seib). This is the information it shows about the plugin (see screenshot):

 

Attachments: 
andre's picture
andre
Offline
Last seen 12 hours 5 min ago

Synfire supports both 32 and 64 bit audio. What's changed recently is that 64 bit is now the default. You can still launch a 32 bit Audio Engine and use that for your 32 bit plug-ins. It will merely not be launched at startup (unless you disable the switch "Prefer 64 Bit Engine").

tom11's picture
tom11
Offline
Last seen 10 hours 43 min ago

Maybe I was not clear enough: It's only _one _   32 Bit plugin (legacycell.dll) which fails to load. Other 32 bit plugins load flawlessly.

The question is why synfire 1.8.4 can't load this plugin (but other software like VSTHost can load it) ? The attached  srceenshot shows the techniical properties of the loaded plugin (in VSTHost: canDo:...).

Maybe you can guess what makes synfire think it can't be loaded?

andre's picture
andre
Offline
Last seen 12 hours 5 min ago

Is the directory shown on your screenshot's title bar included with the plugin search path for the 32 bit engine?

I have some of the KORG Legacy collection here that works fine, albeit tested on a Mac only. 

If you open the file ScannedPlugins.xml, how many inputs and outputs are detected? What happens when you change the "enabled" setting in the file manually?

 

tom11's picture
tom11
Offline
Last seen 10 hours 43 min ago

Yes, the

directory is in the search path. Other 32 Bit KORG plugins work on my machine, too. The ScannedPlugins.xml does not contain LegacyCell.dll , however it is listed in the BrokenPlugins.txt with the same filepath as shown in the screenshots title.

Isn't there a logfile that could reveal why synfire rejects the plugin ?

(btw: the jbridged 64bit version (named LegacyCell.64.dll) works, but jbridged plugins sometimes crashed under synfire 1.7.8)

 

This is from ScannedPlugins.xml on the old machine with synfite 1.7.8:

 <PLUGIN name="LegacyCell" format="VST" category="Synth" manufacturer="KORG" version="V1" file="C:\Program Files (x86)\KORG Legacy\LegacyCell.dll"
          uid="4b4c4356" isInstrument="1" fileTime="1021575bd00" infoUpdateTime="15d0381c5e3" numInputs="0" numOutputs="2" isShell="0" identifier="VST-LegacyCell-12978258-4b4c4356"/>

 

 

 

andre's picture
andre
Offline
Last seen 12 hours 5 min ago

If you copy that XML snippet into ScannedPlugins.xml and remove the entry from BrokenPlugins.txt, you might get it running.

tom11's picture
tom11
Offline
Last seen 10 hours 43 min ago

I already tried​ to add it to scannedplugins, and then it appears in the plugin drop down menu for the 32 bit engine, but when selecting it it loads forever without ever showing the editor (In VSTHost the editor can be opened)

Maybe the "conformsToWindowsRules (Verworfen)" ist the thing that Synfire can't handle? Or the "gebrücktes Plugin" , however the plugin isn't bridged.

 

andre's picture
andre
Offline
Last seen 12 hours 5 min ago

when selecting it it loads forever without ever showing the editor

That's clearly a sign that the plugin is incompatible in some way. When did Korg last update it?

Wavestation, MonoPoly and Polysix plugins still work fine though. I vaguely remember having issues with the Legacy Cell plugin years ago.

Log in or register to post comments

Scholarly Lite is a free theme, contributed to the Drupal Community by More than Themes.